Security Enhanced Linux Reference Policy

# Layer: services

## Module: bluetooth

Interfaces

### Description:

Bluetooth tools and system services.

### Interfaces:

bluetooth_admin( domain , role )

##### Summary

All of the rules required to administrate an bluetooth environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

bluetooth_dbus_chat( domain )

##### Summary

Send and receive messages from bluetooth over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bluetooth_domtrans( domain )

##### Summary

Execute bluetooth in the bluetooth domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

bluetooth_dontaudit_read_helper_state( domain )

##### Summary

Do not audit attempts to read bluetooth process state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

bluetooth_read_config( domain )

##### Summary

Read bluetooth configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bluetooth_role( role , domain )

##### Summary

Role access for bluetooth.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access
domain | User domain for the role

bluetooth_stream_connect( domain )

##### Summary

Connect to bluetooth over a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return